Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.triangulate
Class IncrementalDelaunayTriangulator

    java.lang.Object
      com.vividsolutions.jts.triangulate.IncrementalDelaunayTriangulator

    public class IncrementalDelaunayTriangulator

extends java.lang.Object

Computes a Delauanay Triangulation of a set of `Vertex`es, using an incrementatal insertion algorithm.

Version:
  1.0
Author:
  Martin Davis

Constructor Summary
`IncrementalDelaunayTriangulator(QuadEdgeSubdivision subdiv)` Creates a new triangulator using the given `QuadEdgeSubdivision`.

Method Summary
`QuadEdge` | `insertSite(Vertex v)` Inserts a new point into a subdivision representing a Delaunay triangulation, and fixes the affected edges so that the result is still a Delaunay triangulation.
`void` | `insertSites(java.util.Collection vertices)` Inserts all sites in a collection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IncrementalDelaunayTriangulator

    public IncrementalDelaunayTriangulator(QuadEdgeSubdivision subdiv)

  Creates a new triangulator using the given `QuadEdgeSubdivision`. The triangulator uses the tolerance of the supplied subdivision.

  Parameters:
    `subdiv` - a subdivision in which to build the TIN

Method Detail

### insertSites

    public void insertSites(java.util.Collection vertices)

  Inserts all sites in a collection. The inserted vertices MUST be unique up to the provided tolerance value. (i.e. no two vertices should be closer than the provided tolerance value). They do not have to be rounded to the tolerance grid, however.

  Parameters:
    `vertices` - a Collection of Vertex
  Throws:
    `LocateFailureException` - if the location algorithm fails to converge in a reasonable number of iterations

### insertSite

    public QuadEdge insertSite(Vertex v)

  Inserts a new point into a subdivision representing a Delaunay triangulation, and fixes the affected edges so that the result is still a Delaunay triangulation.

  Returns:
    a quadedge containing the inserted vertex

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite - v 1.12
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD